ASN1Integer (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class ASN1Integer

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1Integer

- All Implemented Interfaces:
    ASN1Encodable, Encodable
  Direct Known Subclasses:
    DERInteger, SubsequentMessage

      public class ASN1Integer
      extends ASN1Primitive

  Class representing the ASN.1 INTEGER type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASN1Integer(java.math.BigInteger value)`
    `ASN1Integer(byte[] bytes)`
    `ASN1Integer(long value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1Integer` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Integer from a tagged object.
    `static ASN1Integer` | `getInstance(java.lang.Object obj)` return an integer from the passed in object
    `java.math.BigInteger` | `getPositiveValue()` in some cases positive values get crammed into a space, that's not quite big enough...
    `java.math.BigInteger` | `getValue()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASN1Integer

          public ASN1Integer(long value)

    - #### ASN1Integer

          public ASN1Integer(java.math.BigInteger value)

    - #### ASN1Integer

          public ASN1Integer(byte[] bytes)

  - ### Method Detail

    - #### getInstance

          public static ASN1Integer getInstance(java.lang.Object obj)

      return an integer from the passed in object
      Parameters:
        `obj` - an ASN1Integer or an object that can be converted into one.
      Returns:
        an ASN1Integer instance.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static ASN1Integer getInstance(ASN1TaggedObject obj,
                                boolean explicit)

      return an Integer from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        an ASN1Integer instance.
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getValue

          public java.math.BigInteger getValue()

    - #### getPositiveValue

          public java.math.BigInteger getPositiveValue()

      in some cases positive values get crammed into a space, that's not quite big enough...
      Returns:
        the BigInteger that results from treating this ASN.1 INTEGER as unsigned.

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`